Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.net
Class NeuralNetAttributes

    java.lang.Object
      org.joone.net.NeuralNetAttributes

All Implemented Interfaces:
  java.io.Serializable

    public class NeuralNetAttributes

extends java.lang.Object
implements java.io.Serializable

This class represents a descriptor of a neural network. It stores some parameters of the neural network useful to manage the training and the validation error of the net without having it loaded in memory. Created for the distributed environment to store the 'state' of the training of a net without the necessity to load in memory all the nets belonging to a generation, it can be extended to store more parameters for any other future use. WARNING: This class must be compatible with the SOAP-Serialization mechanism, hence add ONLY public parameters having: - public getter/setter methods - a basic type, like String, int, ... or a SOAP-Serializable interface

Author:
  pmarrone
See Also:
  Serialized Form

Constructor Summary
`NeuralNetAttributes()` Creates a new instance of NeuralNetDescriptor

Method Summary
`int` | `getLastEpoch()`
`java.lang.String` | `getNeuralNetName()` Getter for property neuralNetName.
`double` | `getTrainingError()` Getter for property trainingError.
`double` | `getValidationError()` Getter for property validationError.
`void` | `setLastEpoch(int lastEpoch)`
`void` | `setNeuralNetName(java.lang.String neuralNetName)` Setter for property neuralNetName.
`void` | `setTrainingError(double trainingError)` Setter for property trainingError.
`void` | `setValidationError(double validationError)` Setter for property validationError.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeuralNetAttributes

    public NeuralNetAttributes()

  Creates a new instance of NeuralNetDescriptor

Method Detail

### getTrainingError

    public double getTrainingError()

  Getter for property trainingError.

  Returns:
    Value of property trainingError.

### setTrainingError

    public void setTrainingError(double trainingError)

  Setter for property trainingError.

  Parameters:
    `trainingError` - New value of property trainingError.

### getValidationError

    public double getValidationError()

  Getter for property validationError.

  Returns:
    Value of property validationError.

### setValidationError

    public void setValidationError(double validationError)

  Setter for property validationError.

  Parameters:
    `validationError` - New value of property validationError.

### getNeuralNetName

    public java.lang.String getNeuralNetName()

  Getter for property neuralNetName.

  Returns:
    Value of property neuralNetName.

### setNeuralNetName

    public void setNeuralNetName(java.lang.String neuralNetName)

  Setter for property neuralNetName.

  Parameters:
    `neuralNetName` - New value of property neuralNetName.

### getLastEpoch

    public int getLastEpoch()

### setLastEpoch

    public void setLastEpoch(int lastEpoch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net